package de.mlessmann.certassist.openssl;

import java.util.List;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class CertificateRequestExtension {

    private List<String> alternativeNames;

    public static class CertificateRequestExtensionBuilder {

        public CertificateRequestExtensionBuilder alternativeNames(String... altNames) {
            this.alternativeNames = List.of(altNames);
            return this;
        }
    }
}
